package com.foreverwin.mesnac.equip.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 设备报修/维修表
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-07-07
 */

@TableName("Z_RESOURCE_REPAIR_TASK")

public class ResourceRepairTask extends Model<ResourceRepairTask> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 维修编号
     */
   @TableField("REPAIR_NO")
   private String repairNo;
    /**
     * 描述
     */
   @TableField("DESCRIPTION")
   private String description;
    /**
     * 状态
     */
   @TableField("STATUS")
   private String status;
    /**
     * 设备编号
     */
   @TableField("RESOURCE_NO")
   private String resourceNo;
    /**
     * 提报人
     */
   @TableField("REPORT_USER")
   private String reportUser;
    /**
     * 不良代码HANDLE
     */
   @TableField("NC_CODE_NO")
   private String ncCodeNo;
    /**
     * 维修类型
     */
   @TableField("REPAIR_TYPE")
   private String repairType;
    /**
     * 是否停机
     */
   @TableField("STOP_MACHINE")
   private String stopMachine;
    /**
     * 故障描述补充
     */
   @TableField("BREAK_DOWN_DESCRIPTION")
   private String breakDownDescription;
    /**
     * 发现环节
     */
   @TableField("FIND_LINK")
   private String findLink;
    /**
     * 上报来源
     */
   @TableField("REPORT_SOURCE")
   private String reportSource;
    /**
     * 关联来源-异常转维修
     */
   @TableField("OBJECT_BO")
   private String objectBo;
    /**
     * 建议维修时间
     */
   @TableField("PLAN_START_DATE")
   private LocalDateTime planStartDate;
    /**
     * 建议完成时间
     */
   @TableField("PLAN_COMPLETE_DATE")
   private LocalDateTime planCompleteDate;
    /**
     * 实际维修时间
     */
   @TableField("ACTUAL_START_DATE")
   private LocalDateTime actualStartDate;
    /**
     * 实际完成时间
     */
   @TableField("ACTUAL_COMPLETE_DATE")
   private LocalDateTime actualCompleteDate;
    /**
     * 维修用户
     */
   @TableField("REPAIR_USERS")
   private String repairUsers;
    /**
     * 取消代码
     */
   @TableField("CANCEL_CODE")
   private String cancelCode;
    /**
     * 取消时间
     */
   @TableField("CANCEL_DATE")
   private LocalDateTime cancelDate;
    /**
     * 取消描述
     */
   @TableField("CANCEL_DESCRIPTION")
   private String cancelDescription;
    /**
     * 取消用户
     */
   @TableField("CANCEL_USER")
   private String cancelUser;
    /**
     * 处理方式
     */
   @TableField("DEAL_WAY")
   private String dealWay;
    /**
     * 初步原因
     */
   @TableField("PRELIMINARY_REASON")
   private String preliminaryReason;
    /**
     * 处理方式描述
     */
   @TableField("DEAL_WAY_DESCRIPTION")
   private String dealWayDescription;
    /**
     * 等待时间
     */
   @TableField("WAIT_TIME")
   private Double waitTime;
    /**
     * 等待开始时间
     */
   @TableField("WAIT_START_DATE")
   private LocalDateTime waitStartDate;
    /**
     * 等待结束时间
     */
   @TableField("WAIT_END_DATE")
   private LocalDateTime waitEndDate;
    /**
     * 等待描述
     */
   @TableField("WAIT_DESCRIPTION")
   private String waitDescription;
    /**
     * 根本原因
     */
   @TableField("PRIMARY_REASON")
   private String primaryReason;
    /**
     * 根本原因描述
     */
   @TableField("PRIMARY_REASON_DESCRIPTION")
   private String primaryReasonDescription;
    /**
     * 预防措施描述
     */
   @TableField("PRECAUTION_MEASURE_DESCRIPTION")
   private String precautionMeasureDescription;
    /**
     * 备注
     */
   @TableField("REMARK")
   private String remark;
    /**
     * 预留字段1
     */
   @TableField("OTHER")
   private String other;
    /**
     * 预留字段2
     */
   @TableField("ANOTHER")
   private String another;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;

   /**
    * 设备HANDLE
    */
   @TableField(exist = false)
   private String resourceBo;
   /**
    * 设备描述
    */
   @TableField(exist = false)
   private String resourceDescription;
   /**
    * 设备类型
    */
   @TableField(exist = false)
   private String resourceTypeNo;
   /**
    * 设备类型HANDLE
    */
   @TableField(exist = false)
   private String resourceTypeBo;
   /**
    * 设备类型
    */
   @TableField(exist = false)
   private String resourceTypeDescription;
   /**
    * 不良代码HANDLE
    */
   @TableField(exist = false)
   private String ncCodeBo;
   /**
    * 不良名称
    */
   @TableField(exist = false)
   private String ncCodeDescription;
   /**
    * 车间
    */
   @TableField(exist = false)
   private String workCenterNo;
   /**
    * 车间HANDLE
    */
   @TableField(exist = false)
   private String workCenterBo;
   /**
    * 车间
    */
   @TableField(exist = false)
   private String workCenterDescription;
   /**
    * 比较时间，起
    */
   @TableField(exist = false)
   private String compareStartDate;
   /**比较时间，终*/
   @TableField(exist = false)
   private String compareEndDate;
   /**备品清单*/
   @TableField(exist = false)
   private List<ResourceInspectTaskSpare> spareList;
   /**序号*/
   @TableField(exist = false)
   private Integer seq;
   /**提报人名称*/
   @TableField(exist = false)
   private String reportUserName;
   /**取消代码描述*/
   @TableField(exist = false)
   private String cancelCodeDescription;
   /**取消用户名称**/
   @TableField(exist = false)
   private String cancelUserName;
   /**不良代码名称**/
   @TableField(exist = false)
   private String ncCodeNoDescription;
   /**维修人员名称*/
   @TableField(exist = false)
   private String repairUserName;


   public String getRepairUserName() {
      return repairUserName;
   }

   public void setRepairUserName(String repairUserName) {
      this.repairUserName = repairUserName;
   }

   public String getNcCodeNoDescription() {
      return ncCodeNoDescription;
   }

   public void setNcCodeNoDescription(String ncCodeNoDescription) {
      this.ncCodeNoDescription = ncCodeNoDescription;
   }

   public String getCancelUserName() {
      return cancelUserName;
   }

   public void setCancelUserName(String cancelUserName) {
      this.cancelUserName = cancelUserName;
   }

   public String getCancelCodeDescription() {
      return cancelCodeDescription;
   }

   public void setCancelCodeDescription(String cancelCodeDescription) {
      this.cancelCodeDescription = cancelCodeDescription;
   }

   public String getReportUserName() {
      return reportUserName;
   }

   public void setReportUserName(String reportUserName) {
      this.reportUserName = reportUserName;
   }

   public List<ResourceInspectTaskSpare> getSpareList() {
      return spareList;
   }

   public void setSpareList(List<ResourceInspectTaskSpare> spareList) {
      this.spareList = spareList;
   }

   public String getWorkCenterBo() {
      return workCenterBo;
   }

   public void setWorkCenterBo(String workCenterBo) {
      this.workCenterBo = workCenterBo;
   }

   public String getNcCodeBo() {
      return ncCodeBo;
   }

   public void setNcCodeBo(String ncCodeBo) {
      this.ncCodeBo = ncCodeBo;
   }

   public String getResourceBo() {
      return resourceBo;
   }

   public void setResourceBo(String resourceBo) {
      this.resourceBo = resourceBo;
   }

   public String getResourceDescription() {
      return resourceDescription;
   }

   public void setResourceDescription(String resourceDescription) {
      this.resourceDescription = resourceDescription;
   }

   public String getResourceTypeNo() {
      return resourceTypeNo;
   }

   public void setResourceTypeNo(String resourceTypeNo) {
      this.resourceTypeNo = resourceTypeNo;
   }

   public String getResourceTypeBo() {
      return resourceTypeBo;
   }

   public void setResourceTypeBo(String resourceTypeBo) {
      this.resourceTypeBo = resourceTypeBo;
   }

   public String getResourceTypeDescription() {
      return resourceTypeDescription;
   }

   public void setResourceTypeDescription(String resourceTypeDescription) {
      this.resourceTypeDescription = resourceTypeDescription;
   }

   public String getNcCodeDescription() {
      return ncCodeDescription;
   }

   public void setNcCodeDescription(String ncCodeDescription) {
      this.ncCodeDescription = ncCodeDescription;
   }

   public String getWorkCenterNo() {
      return workCenterNo;
   }

   public void setWorkCenterNo(String workCenterNo) {
      this.workCenterNo = workCenterNo;
   }

   public String getWorkCenterDescription() {
      return workCenterDescription;
   }

   public void setWorkCenterDescription(String workCenterDescription) {
      this.workCenterDescription = workCenterDescription;
   }

   public String getCompareStartDate() {
      return compareStartDate;
   }

   public void setCompareStartDate(String compareStartDate) {
      this.compareStartDate = compareStartDate;
   }

   public String getCompareEndDate() {
      return compareEndDate;
   }

   public void setCompareEndDate(String compareEndDate) {
      this.compareEndDate = compareEndDate;
   }

   public Integer getSeq() {
      return seq;
   }

   public void setSeq(Integer seq) {
      this.seq = seq;
   }

   /** ------------------------------------------------------------------------------------------------------ **/
   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getRepairNo() {
      return repairNo;
   }

   public void setRepairNo(String repairNo) {
      this.repairNo = repairNo;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getResourceNo() {
      return resourceNo;
   }

   public void setResourceNo(String resourceNo) {
      this.resourceNo = resourceNo;
   }

   public String getReportUser() {
      return reportUser;
   }

   public void setReportUser(String reportUser) {
      this.reportUser = reportUser;
   }

   public String getNcCodeNo() {
      return ncCodeNo;
   }

   public void setNcCodeNo(String ncCodeNo) {
      this.ncCodeNo = ncCodeNo;
   }

   public String getRepairType() {
      return repairType;
   }

   public void setRepairType(String repairType) {
      this.repairType = repairType;
   }

   public String getStopMachine() {
      return stopMachine;
   }

   public void setStopMachine(String stopMachine) {
      this.stopMachine = stopMachine;
   }

   public String getBreakDownDescription() {
      return breakDownDescription;
   }

   public void setBreakDownDescription(String breakDownDescription) {
      this.breakDownDescription = breakDownDescription;
   }

   public String getFindLink() {
      return findLink;
   }

   public void setFindLink(String findLink) {
      this.findLink = findLink;
   }

   public String getReportSource() {
      return reportSource;
   }

   public void setReportSource(String reportSource) {
      this.reportSource = reportSource;
   }

   public String getObjectBo() {
      return objectBo;
   }

   public void setObjectBo(String objectBo) {
      this.objectBo = objectBo;
   }

   public LocalDateTime getPlanStartDate() {
      return planStartDate;
   }

   public void setPlanStartDate(LocalDateTime planStartDate) {
      this.planStartDate = planStartDate;
   }

   public LocalDateTime getPlanCompleteDate() {
      return planCompleteDate;
   }

   public void setPlanCompleteDate(LocalDateTime planCompleteDate) {
      this.planCompleteDate = planCompleteDate;
   }

   public LocalDateTime getActualStartDate() {
      return actualStartDate;
   }

   public void setActualStartDate(LocalDateTime actualStartDate) {
      this.actualStartDate = actualStartDate;
   }

   public LocalDateTime getActualCompleteDate() {
      return actualCompleteDate;
   }

   public void setActualCompleteDate(LocalDateTime actualCompleteDate) {
      this.actualCompleteDate = actualCompleteDate;
   }

   public String getRepairUsers() {
      return repairUsers;
   }

   public void setRepairUsers(String repairUsers) {
      this.repairUsers = repairUsers;
   }

   public String getCancelCode() {
      return cancelCode;
   }

   public void setCancelCode(String cancelCode) {
      this.cancelCode = cancelCode;
   }

   public LocalDateTime getCancelDate() {
      return cancelDate;
   }

   public void setCancelDate(LocalDateTime cancelDate) {
      this.cancelDate = cancelDate;
   }

   public String getCancelDescription() {
      return cancelDescription;
   }

   public void setCancelDescription(String cancelDescription) {
      this.cancelDescription = cancelDescription;
   }

   public String getCancelUser() {
      return cancelUser;
   }

   public void setCancelUser(String cancelUser) {
      this.cancelUser = cancelUser;
   }

   public String getDealWay() {
      return dealWay;
   }

   public void setDealWay(String dealWay) {
      this.dealWay = dealWay;
   }

   public String getPreliminaryReason() {
      return preliminaryReason;
   }

   public void setPreliminaryReason(String preliminaryReason) {
      this.preliminaryReason = preliminaryReason;
   }

   public String getDealWayDescription() {
      return dealWayDescription;
   }

   public void setDealWayDescription(String dealWayDescription) {
      this.dealWayDescription = dealWayDescription;
   }

   public Double getWaitTime() {
      return waitTime;
   }

   public void setWaitTime(Double waitTime) {
      this.waitTime = waitTime;
   }

   public LocalDateTime getWaitStartDate() {
      return waitStartDate;
   }

   public void setWaitStartDate(LocalDateTime waitStartDate) {
      this.waitStartDate = waitStartDate;
   }

   public LocalDateTime getWaitEndDate() {
      return waitEndDate;
   }

   public void setWaitEndDate(LocalDateTime waitEndDate) {
      this.waitEndDate = waitEndDate;
   }

   public String getWaitDescription() {
      return waitDescription;
   }

   public void setWaitDescription(String waitDescription) {
      this.waitDescription = waitDescription;
   }

   public String getPrimaryReason() {
      return primaryReason;
   }

   public void setPrimaryReason(String primaryReason) {
      this.primaryReason = primaryReason;
   }

   public String getPrimaryReasonDescription() {
      return primaryReasonDescription;
   }

   public void setPrimaryReasonDescription(String primaryReasonDescription) {
      this.primaryReasonDescription = primaryReasonDescription;
   }

   public String getPrecautionMeasureDescription() {
      return precautionMeasureDescription;
   }

   public void setPrecautionMeasureDescription(String precautionMeasureDescription) {
      this.precautionMeasureDescription = precautionMeasureDescription;
   }

   public String getRemark() {
      return remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getOther() {
      return other;
   }

   public void setOther(String other) {
      this.other = other;
   }

   public String getAnother() {
      return another;
   }

   public void setAnother(String another) {
      this.another = another;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String REPAIR_NO = "REPAIR_NO";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String STATUS = "STATUS";

public static final String RESOURCE_NO = "RESOURCE_NO";

public static final String REPORT_USER = "REPORT_USER";

public static final String NC_CODE_NO = "NC_CODE_NO";

public static final String REPAIR_TYPE = "REPAIR_TYPE";

public static final String STOP_MACHINE = "STOP_MACHINE";

public static final String BREAK_DOWN_DESCRIPTION = "BREAK_DOWN_DESCRIPTION";

public static final String FIND_LINK = "FIND_LINK";

public static final String REPORT_SOURCE = "REPORT_SOURCE";

public static final String OBJECT_BO = "OBJECT_BO";

public static final String PLAN_START_DATE = "PLAN_START_DATE";

public static final String PLAN_COMPLETE_DATE = "PLAN_COMPLETE_DATE";

public static final String ACTUAL_START_DATE = "ACTUAL_START_DATE";

public static final String ACTUAL_COMPLETE_DATE = "ACTUAL_COMPLETE_DATE";

public static final String REPAIR_USERS = "REPAIR_USERS";

public static final String CANCEL_CODE = "CANCEL_CODE";

public static final String CANCEL_DATE = "CANCEL_DATE";

public static final String CANCEL_DESCRIPTION = "CANCEL_DESCRIPTION";

public static final String CANCEL_USER = "CANCEL_USER";

public static final String DEAL_WAY = "DEAL_WAY";

public static final String PRELIMINARY_REASON = "PRELIMINARY_REASON";

public static final String DEAL_WAY_DESCRIPTION = "DEAL_WAY_DESCRIPTION";

public static final String WAIT_TIME = "WAIT_TIME";

public static final String WAIT_START_DATE = "WAIT_START_DATE";

public static final String WAIT_END_DATE = "WAIT_END_DATE";

public static final String WAIT_DESCRIPTION = "WAIT_DESCRIPTION";

public static final String PRIMARY_REASON = "PRIMARY_REASON";

public static final String PRIMARY_REASON_DESCRIPTION = "PRIMARY_REASON_DESCRIPTION";

public static final String PRECAUTION_MEASURE_DESCRIPTION = "PRECAUTION_MEASURE_DESCRIPTION";

public static final String REMARK = "REMARK";

public static final String OTHER = "OTHER";

public static final String ANOTHER = "ANOTHER";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ResourceRepairTask{" +
         "handle = " + handle +
         ", site = " + site +
         ", repairNo = " + repairNo +
         ", description = " + description +
         ", status = " + status +
         ", resourceNo = " + resourceNo +
         ", reportUser = " + reportUser +
         ", ncCodeNo = " + ncCodeNo +
         ", repairType = " + repairType +
         ", stopMachine = " + stopMachine +
         ", breakDownDescription = " + breakDownDescription +
         ", findLink = " + findLink +
         ", reportSource = " + reportSource +
         ", objectBo = " + objectBo +
         ", planStartDate = " + planStartDate +
         ", planCompleteDate = " + planCompleteDate +
         ", actualStartDate = " + actualStartDate +
         ", actualCompleteDate = " + actualCompleteDate +
         ", repairUsers = " + repairUsers +
         ", cancelCode = " + cancelCode +
         ", cancelDate = " + cancelDate +
         ", cancelDescription = " + cancelDescription +
         ", cancelUser = " + cancelUser +
         ", dealWay = " + dealWay +
         ", preliminaryReason = " + preliminaryReason +
         ", dealWayDescription = " + dealWayDescription +
         ", waitTime = " + waitTime +
         ", waitStartDate = " + waitStartDate +
         ", waitEndDate = " + waitEndDate +
         ", waitDescription = " + waitDescription +
         ", primaryReason = " + primaryReason +
         ", primaryReasonDescription = " + primaryReasonDescription +
         ", precautionMeasureDescription = " + precautionMeasureDescription +
         ", remark = " + remark +
         ", other = " + other +
         ", another = " + another +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}